%{?scl:%scl_package mod_xsendfile}

%if 0%{?scl:1}
%{!?_httpd24_apxs:       %{expand: %%global _httpd24_apxs       %%{_sbindir}/apxs}}
%{!?_httpd24_mmn:        %{expand: %%global _httpd24_mmn        %%(cat %{_includedir}/httpd/.mmn 2>/dev/null || echo missing-httpd-devel)}}
%{!?_httpd24_confdir:    %{expand: %%global _httpd24_confdir    %%{_sysconfdir}/httpd/conf.d}}
# /etc/httpd/conf.d with httpd < 2.4 and defined as /etc/httpd/conf.modules.d with httpd >= 2.4
%{!?_httpd24_modconfdir: %{expand: %%global _httpd24_modconfdir %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd24_moddir:    %{expand: %%global _httpd24_moddir    %%{_libdir}/httpd/modules}}
%else
%{!?_httpd_apxs:       %{expand: %%global _httpd_apxs       %%{_sbindir}/apxs}}
%{!?_httpd_mmn:        %{expand: %%global _httpd_mmn        %%(cat %{_includedir}/httpd/.mmn 2>/dev/null || echo missing-httpd-devel)}}
%{!?_httpd_confdir:    %{expand: %%global _httpd_confdir    %%{_sysconfdir}/httpd/conf.d}}
# /etc/httpd/conf.d with httpd < 2.4 and defined as /etc/httpd/conf.modules.d with httpd >= 2.4
%{!?_httpd_modconfdir: %{expand: %%global _httpd_modconfdir %%{_sysconfdir}/httpd/conf.d}}
%{!?_httpd_moddir:    %{expand: %%global _httpd_moddir    %%{_libdir}/httpd/modules}}
%endif

Summary:	Apache module to send files efficiently
Name:		%{?scl:%scl_prefix}mod_xsendfile
%define rname mod_xsendfile
Version:	0.12
Release:	10%{?dist}.2
Group:		System Environment/Daemons
License:	ASL 2.0
URL:		https://tn123.org/%{rname}/
Source0:	https://tn123.org/%{rname}/%{rname}-%{version}.tar.bz2
Source1:	xsendfile.conf
BuildRequires:	%{?scl:%scl_prefix}httpd-devel
%if 0%{?scl:1}
Requires: %{?scl:%scl_prefix}httpd-mmn = %{_httpd24_mmn}
%else
Requires:       httpd-mmn = %{_httpd_mmn}
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%{rname} is a small Apache2 module that processes X-SENDFILE headers
registered by the original output handler.

If it encounters the presence of such header it will discard all output and
send the file specified by that header instead using Apache internals
including all optimizations like caching-headers and sendfile or mmap if
configured.

It is useful for processing script-output of e.g. php, perl or any cgi.


%prep
%setup -q -n %{rname}-%{version}


%build
%if 0%{?scl:1}
%{_httpd24_apxs} -c %{rname}.c
%else
%{_httpd_apxs} -c %{rname}.c
%endif

%install
rm -rf $%{buildroot}
%if 0%{?scl:1}
mkdir -p %{buildroot}/%{_httpd24_moddir}
%{_httpd24_apxs} -i -S LIBEXECDIR=%{buildroot}/%{_httpd24_moddir} -n %{rname} %{rname}.la
mkdir -p %{buildroot}/%{_httpd24_modconfdir}
cp -p %SOURCE1 %{buildroot}/%{_httpd24_modconfdir}
%else
mkdir -p %{buildroot}/%{_httpd_moddir}
%{_httpd_apxs} -i -S LIBEXECDIR=%{buildroot}/%{_httpd_moddir} -n %{rname} %{rname}.la
mkdir -p %{buildroot}/%{_httpd_modconfdir}
cp -p %SOURCE1 %{buildroot}/%{_httpd_modconfdir}
%endif


%clean
rm -rf %{buildroot}


%files
%doc docs/*
%if 0%{?scl:1}
%config(noreplace) %{_httpd24_modconfdir}/xsendfile.conf
%{_httpd24_moddir}/%{rname}.so
%else
%config(noreplace) %{_httpd_modconfdir}/xsendfile.conf
%{_httpd_moddir}/%{rname}.so
%endif


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 27 2012 Orion Poplawski <orion@cora.nwra.com> 0.12-5
- Rebuild for httpd 2.4, update for new module guidelines

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Apr 25 2011 Orion Poplawski <orion@cora.nwra.com> 0.12-3
- Fix license tag

* Wed Dec 1 2010 Orion Poplawski <orion@cora.nwra.com> 0.12-2
- Upstream fixed tar ball packaging

* Mon Oct 25 2010 Orion Poplawski <orion@cora.nwra.com> 0.12-1
- Initial package
